Charts Plugin

Added by simon k over 8 years ago

Hey,

i'm looking now since a couple of weeks for an redmine-charts-plugin which works also in redmine version 2+

All available versions in the inet are depricated or no longer supported.

For example a pie chart of the investment of time from the team on every ticket would be nice.

Or a burndown chart which shows the process in a project about all tickets.

The main point is, that the booked time should be used to calculate the charts and not versions or anything.

Does anybody know such a plugin or is also interested?

Replies (20)

RE: Charts Plugin - Added by Cassiano Monteiro over 8 years ago

Try this one:

https://github.com/cou2jpn/redmine_charts

I´m using it with Redmine 1.4.4.

RE: Charts Plugin - Added by shivaranjani v over 8 years ago

Hi,
I tried to install redmine charts provide by the url above, but the charts are not being generated. I am using redmine 1.4.2. Any clues ?

RE: Charts Plugin - Added by Cassiano Monteiro over 8 years ago

Can you provide more details? Any logs/screenshots?

RE: Charts Plugin - Added by shivaranjani v over 8 years ago

I am using redmine 1.4.2 on Ubuntu 10.04. Kindly find the screen shot for Charts.

Thank you.

Charts.png (43.8 KB)

RE: Charts Plugin - Added by Cassiano Monteiro over 8 years ago

You may be missing the OpenFlashChart plugin. Did you install it per the instructions of the Charts plugin?

Another silly question: do you have flash installed in your computer??

RE: Charts Plugin - Added by shivaranjani v over 8 years ago

Hello Friends,
I have installed OpenFlash as per to the instructions. Still Im not able to generate charts. Can inputs please assists.

Regards,
Shivaranjani

RE: Charts Plugin - Added by Cassiano Monteiro over 8 years ago

Can you give more information? Any logs from Apache/ruby/Redmine? Source code from the webpage generated? What browser are you using? Are you sure you have flash player installed?

RE: Charts Plugin - Added by shivaranjani v over 8 years ago

Thank you for your prompt response.
The following is the log I am enclosing below:-

Processing ProjectsController#settings (for 127.0.0.1 at 2012-09-28 17:15:32) [GET]
Parameters: {"controller"=>"projects", "id"=>"demo", "action"=>"settings"}
Rendering template within layouts/base
Rendering projects/settings
Completed in 871ms (View: 798, DB: 6) | 200 OK [http://localhost/projects/demo/settings]

Processing ProjectsController#modules (for 127.0.0.1 at 2012-09-28 17:15:38) [POST]
Parameters: {"enabled_module_names"=>["issue_tracking", "time_tracking", "news", "documents", "files", "wiki", "repository", "boards", "calendar", "gantt", "charts", "importer", "monitoring_controlling_project", "traceability", "work_time"], "controller"=>"projects", "id"=>"demo", "authenticity_token"=>"brRCYdX9wwZ8AOS2lx5F5m6UgSdqsIeqyHu3JuzRnYY=", "commit"=>"Save", "action"=>"modules"}
Redirected to http://localhost:3000/projects/demo/settings/modules
Completed in 90ms (DB: 42) | 302 Found [http://localhost/projects/demo/modules]

Processing ProjectsController#settings (for 127.0.0.1 at 2012-09-28 17:15:38) [GET]
Parameters: {"tab"=>"modules", "controller"=>"projects", "id"=>"demo", "action"=>"settings"}
Rendering template within layouts/base
Rendering projects/settings
Completed in 266ms (View: 248, DB: 5) | 200 OK [http://localhost/projects/demo/settings/modules]

Processing ChartsBurndownController#index (for 127.0.0.1 at 2012-09-28 17:15:41) [GET]
Parameters: {"controller"=>"charts_burndown", "action"=>"index", "project_id"=>"demo"}
Rendering template within layouts/base
Rendering charts/index
Completed in 3860ms (View: 710, DB: 677) | 200 OK [http://localhost/projects/demo/charts/burndown]

Processing ApplicationController#index (for 127.0.0.1 at 2012-09-28 17:15:46) [GET]

ActionController::RoutingError (No route matches "/plugin_assets/open_flash_chart/javascripts/swfobject.js" with {:method=>:get}):
D:/Ruby187/lib/ruby/1.8/webrick/httpserver.rb:104:in `service'
D:/Ruby187/lib/ruby/1.8/webrick/httpserver.rb:65:in `run'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:173:in `start_thread'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:162:in `start'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:162:in `start_thread'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:95:in `start'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:92:in `each'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:92:in `start'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:23:in `start'
D:/Ruby187/lib/ruby/1.8/webrick/server.rb:82:in `start'

Rendering rescues/layout (not_found)

I am using Chrome Version 22.0.1229.79 m. I have tried to check the same in firefox 15.0.1.
I am installed the prerequisites required for redmine 1.4.2 and I am able to run redmine properly. I have installed Flash Player too.

Let me know if you need any further information.

Kindly provide your valuable inputs for the same.

Regards,
Shivaranjani

RE: Charts Plugin - Added by Cassiano Monteiro over 8 years ago

It seems you are missing some routes for the plugin. After some Redmine version (don´t remember which one), plugins were required a "routes.rb" file, but then they removed that requirement.

I would suggest to use the Redmine 1.4.4 version, which doesn't need that file anymore. That may solve your routes problem.

RE: Charts Plugin - Added by shivaranjani v over 8 years ago

Thank you for your support.

RE: Charts Plugin - Added by Etienne Massip over 8 years ago

Cassiano Monteiro wrote:

It seems you are missing some routes for the plugin. After some Redmine version (don´t remember which one), plugins were required a "routes.rb" file, but then they removed that requirement.

I would suggest to use the Redmine 1.4.4 version, which doesn't need that file anymore. That may solve your routes problem.

This is not entirely true: Redmine stopped using the wildcard route with 1.4.0 indeed, thus forcing plugin authors to do the same and to declare the plugin specific routes in their own routes.rb file.

But there hasn't been and won't be any comeback of the wildcard route since then in core; if some of your plugins do not include a routes.rb file, it means either that they don't use specific routes or that the wildcard route have been included back again somewhere in a plugin or via a manual change in the main routes.rb file.

RE: Charts Plugin - Added by Cassiano Monteiro over 8 years ago

Etienne Massip wrote:

But there hasn't been and won't be any comeback of the wildcard route since then in core; if some of your plugins do not include a routes.rb file, it means either that they don't use specific routes or that the wildcard route have been included back again somewhere in a plugin or via a manual change in the main routes.rb file.

So, mine is working fine without any routes.rb file... What may be causing his problem then?

RE: Charts Plugin - Added by Etienne Massip over 8 years ago

I don't know. What's "yours"? Did you change your Redmine config/routes.rb?

RE: Charts Plugin - Added by Cassiano Monteiro over 8 years ago

I´m running Redmine 1.4.4 on Windows XP 64/Apache/Mongrel. No changes on config/routes.rb, and everything is working fine.

RE: Charts Plugin - Added by Hans Maulwurf over 8 years ago

You're talking about redmine 1.4, but simon asked for redmine 2.

Is it possible to get this charts-plugin working on redmine 2(.1.2), means with rails 3?

RE: Charts Plugin - Added by Cassiano Monteiro over 8 years ago

Yes, but he said he was running 1.4.2:

shivaranjani v wrote:

I am using redmine 1.4.2 on Ubuntu 10.04. Kindly find the screen shot for Charts.

Thank you.

RE: Charts Plugin - Added by Mahmoud Audu over 8 years ago

Hans Maulwurf wrote:

You're talking about redmine 1.4, but simon asked for redmine 2.

Is it possible to get this charts-plugin working on redmine 2(.1.2), means with rails 3?

Good day,

I seem to have it partially functional on

redmine 2.1.2.devel
Ubuntu 12.04.1
Ruby 1.8.7 (i686-linux)
Rails 3.2.8
database mysql

redmine_charts 0.1.0


Instructions:

Download and install the plugin as per the regular instructions (NOTE: you need the Development section in your database.yml or else you will get a AdapterNotSpecified Error)

1. After both open_flash_charts and redmine_charts are in the ~/redmine-2.x/plugins folder

copy the content of the assets folder (of both if not done already) to ~/redmine-2.x/public/plugin_assets e.g ~/redmine-2.x/public/plugin_assets/redmine_charts/javascript/charts.js

2. Go back to ~/redmine-2.x/plugins/redmine_chart and edit init.rb

Replace (or comment and under replace) these line
a.RAILS_DEFAULT_LOGGER.info 'Starting Charts Plugin for RedMine' 
with
::Rails.logger.info 'Starting Charts Plugin for RedMine'
b. comment out require 'dispatcher' so add a # in front of it #require 'dis....'
c. Dispatcher.to_prepare :redmine_charts do
with
ActionDispatch::Callbacks.to_prepare do
Save the file and exit

3. Go to ~/redmine-2.x/plugins/redmine_chart/config and edit routes.rb

comment out everything everything but the require line at the top
replace the content with this
 RedmineApp::Application.routes.draw do
  match "/charts", :controller => "charts", :action => "index", :via => :get
  match "/charts", :controller => "charts_burndown", :action => "index", :via => :get
  match "/charts", :controller => "charts_burndown2", :action => "index", :via => :get
  match "/charts", :controller => "charts_deviation", :action => "index", :via => :get
  match "/charts", :controller => "charts_ratio", :action => "index", :via => :get
  match "/charts", :controller => "charts_timeline", :action => "index", :via => :get
end

save and exit

This will make the plugin run but when you view it in a project you get a 403 you do not have permission(at least i do)

I hope this helps, let me know if anything is not clear i can try to explain it better.

p.s. I created an account to share my findings

RE: Charts Plugin - Added by Alexey Mirniy over 8 years ago

Hi!

I've made some modifications to make redmine_charts compatible with Redmine 2.0.3

You can check it out from https://github.com/pharmazone/redmine_charts2

It's work fine, bu only russan and english translations were updated.

RE: Charts Plugin - Added by Mahmoud Audu over 8 years ago

Alexey Mirniy wrote:

Hi!

I've made some modifications to make redmine_charts compatible with Redmine 2.0.3

You can check it out from https://github.com/pharmazone/redmine_charts2

It's work fine, bu only russan and english translations were updated.

Thank you kind sir this worked like a charm

RE: Charts Plugin - Added by Alexey Mirniy over 8 years ago

You are wellcome!

I've opened issues feature at git hub.
Post your propostion and I'll try to implement it :)

(1-20/20)